# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
#
# spec file for package pmidi
#
# Copyright (c) 2020 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           pmidi
Version:        1.7.1
Release:        alt1_1.15
Summary:        A Command Line MIDI Player for ALSA
License:        GPL-2.0-only
Group:          Sound
URL:            http://www.parabola.demon.co.uk/alsa/pmidi.html
Source:         https://sourceforge.net/projects/pmidi/files/pmidi/%{version}/pmidi-%{version}.tar.gz
BuildRequires:  libalsa-devel
BuildRequires:  automake
Source44: import.info

%description
pmidi is a command line MIDI player for ALSA.

%prep
%setup -q

%build
autoreconf -fi
%configure --with-included-glib
%make_build

%install
%makeinstall_std

%files
%{_bindir}/*
%doc --no-dereference COPYING
%doc AUTHORS ChangeLog NEWS README
%{_mandir}/man*/*

%changelog
* Tue Aug 29 2023 Igor Vlasenko <viy@altlinux.org> 1.7.1-alt1_1.15
- update by suseimport

* Thu May 05 2022 Igor Vlasenko <viy@altlinux.org> 1.7.1-alt1_1.9
- update by suseimport

* Mon Jan 24 2022 Igor Vlasenko <viy@altlinux.org> 1.7.1-alt1_1.8
- update by suseimport

* Thu Mar 07 2019 Igor Vlasenko <viy@altlinux.ru> 1.7.0-alt1_3.12
- new version

* Mon Apr 15 2013 Dmitry V. Levin (QA) <qa_ldv@altlinux.org> 1.6.0-alt1.qa1
- NMU: rebuilt for debuginfo.

* Sun Dec 21 2003 Yuri N. Sedunov <aris@altlinux.ru> 1.6.0-alt1
- 1.6.0

* Sat Dec 28 2002 Yuri N. Sedunov <aris@altlinux.ru> 1.5.5-alt1
- new version for newest alsa.

* Mon Oct 14 2002 Yuri N. Sedunov <aris@altlinux.ru> 1.5.4-alt2
- Rebuild with gcc-3.2. 

* Fri May 24 2002 Yuri N. Sedunov <aris@altlinux.ru> 1.5.4-alt1
- First build for Sisyphus.
